Easy fix?: No Copied to github as #: 19030
Description

Currently the log message provides in canvas the details of the affected rows including the number or Errors, it would be nice if the rows
that cause the failing message could be highlighted, even better the specific problematic values

Could not commit changes to layer lower_ats_routes

Example

Errors: ERROR: 3 attribute value change(s) not applied.
Provider errors:
PostGIS error while changing attributes: ERROR: new row for relation "lower_ats_routes" violates check constraint
"check_geo_dist_update_types"
DETAIL: Failing row contains (29, null, A322, LOWER, All, Both, FIR MHTG, A322_04, ATS, 219, 039, 16.6634 NM, 19500,
12000, COCO ACC 119.6 MHz APP 120.5 MHz, 10 NM, C, 1/MAY/14, BARVA, DVOR/DME TIO, 04, null,
0105000020E61000000100000001020000000200000068853F7C860355C020BC..., null, null, null, 16.66, 16.72, 0.06, f).

In my case the column just can accept A or M values

History

#1 - 2014-06-20 08:48 AM - Jiirgen Fischer
- Category set to Attribute table

#2 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2018-03-19 06:25 PM - Antonio Locandro

Still not added in master, but need to check if this is something other people would want

Files

highlight.png 46 KB 2014-06-18 Antonio Locandro

2025-04-27 1/1




